Skip to main content

HandleWebhook

POST 

/your/webhook/path

HandleWebhook

Request

Body

required

    notification_type enum

    [Unknown, OrderPaid, OrderCancelled]

    Notification type

    items

    object[]

    List of items in the order

  • Array [

  • sku string

    Item SKU (unique identifier)

    quantity int32

    Quantity of items

    amount string

    Item amount

  • ]

  • order

    object

    Order represents order information

    id string

    Order ID

    currency string

    Currency code

    amount string

    Order amount

    status enum

    [Unknown, Paid, Cancelled]

    Order status

    invoice_id string

    Invoice ID

    user

    object

    WebhookUser represents user information in webhook

    external_id string

    User's external ID in the game

    email string

    User's email address

    billing

    object

    BillingInfo represents billing information

    settings

    object

    WebhookSettings represents project settings

    merchant_id string

    gateway merchant_id

    project_id string

    Project ID

    purchase

    object

    WebhookPurchase represents purchase details

    total

    object

    PurchaseTotal represents total purchase amount

    currency string

    Currency code (ISO 4217)

    amount string

    Total amount

    transaction

    object

    WebhookTransaction represents transaction details

    id string

    Transaction ID

    external_id string

    External transaction ID

    payment_date string

    Payment date (ISO 8601)

    payment_method string

    Payment method ID

    payment_method_name string

    Payment method name

    payment_method_order_id string

    Payment ID in the payment system

    payment_details

    object

    payment

    object

    amount string

    Payment amount, final payment amount

    currency string

    Payment currency, three-letter currency code (ISO 4217)

    net_amount string

    Net amount (excluding tax) after discount

    vat_amount string

    VAT amount, tax amount after discount

    discount

    object

    Discount information

    discount_id string

    Discount ID

    discount_code string

    Discount promo code

    discount_amount string

    Final discount amount

    discount_rate string

    Final discount rate (e.g., 0.2 for 20%)

    custom_parameters

    object

    Additional custom parameters

    property name* string

Responses

OK

Response

    processed boolean

    Merchant processed the notification.

    message string

    The merchant's message.

Loading...